
 
*-- STRINGS.H
*-- Include this file where needed for localization
*-- purposes
 
*-- Messagebox Titles
#DEFINE ERRORTITLE_LOC      "An error has occurred"
#DEFINE CHK_RBT_LOC        "RBT, Accounting - Stock"

*-- Toolbar names
#DEFINE TB_FORMDESIGNER_LOC  "Form Designer"
#DEFINE TB_STANDARD_LOC      "Standard"
#DEFINE TB_LAYOUT_LOC        "Layout"
 
#DEFINE TB_QUERY_LOC    "Query Designer"
#DEFINE TB_VIEWDESIGNER_LOC  "View Designer"
#DEFINE TB_COLORPALETTE_LOC  "Color Palette"
#DEFINE TB_FORMCONTROLS_LOC  "Form Controls"
#DEFINE TB_DATADESIGNER_LOC  "Database Designer"
#DEFINE TB_REPODESIGNER_LOC  "Report Designer"
#DEFINE TB_REPOCONTROLS_LOC  "Report Controls"
#DEFINE TB_PRINTPREVIEW_LOC  "Print Preview"
#DEFINE WIN_COMMAND_LOC    "Command"  && Command Window
#DEFINE NEWACCOUNT_LOC "New Account Id"
#DEFINE NEWFATHER_LOC "New Father Account Id"

*-- Messagebox Messages
#DEFINE DATNOTCOMP_LOC    "Input Data not Compatible. re-enter."
#DEFINE DATNOTAVAIL_LOC    "Input Data not Available. re-enter."
#DEFINE DATEXIST_LOC    "Account ID already Exist."
#DEFINE NAMEEXIST_LOC    "Account Name already Exist re-enter."
#DEFINE ACCTNOTFOUND_LOC    "Account ID not found. re-enter."
#DEFINE DATNOTAVBLE_LOC    "Date not available, Exchange values not found."
#DEFINE ACCTEMPTY_LOC "Account Id empty or Item total <> Invoice total..."
#DEFINE DATEEXISTS_LOC "Exchange Data already exists for this date, modify it."
#DEFINE RECORDDELETE_LOC "Account Id already exists or..., record deleted."
#DEFINE CURNOTAVAIL_LOC "Currency type not available."
#DEFINE FLAGNOTAVAIL_LOC "Flag type not available."
#DEFINE DATEMPTY_LOC "Date is empty."
#DEFINE DATEACCTEMPTY_LOC "Date or Account Id is empty."
#DEFINE CUREMPTY_LOC "Currency value is empty."
#DEFINE DATAEMPTY_LOC "Data is empty."
#DEFINE DUPNOTAVAL_LOC "Duplicate Data not Available, re-enter"
#DEFINE COMPATDATA_LOC "No Information Compatible with Data Entry in Database File"
#DEFINE INPTEMPTY_LOC "Input Value is empty, re_enter"
#DEFINE INPTEMPTYB_LOC "Input Value is empty or quantity in stock is less."
#DEFINE LASTEXCH_LOC  "System use last date exchange"
#DEFINE QUANTGRIDZERO_LOC "Last Quantity value in Grid = 0, re-enter please"
#DEFINE PRODFAMILY_LOC  "Product Id out of stock family"
#DEFINE PRODQEMPTY_LOC  "NO Quantity Product in stock"
#DEFINE ADDITEMINVAL_LOC "Last Quantity value is empty"
#DEFINE BIGDISCOUNT_LOC "Big discount, re-enter please"
#DEFINE REMOVITEMINVAL_LOC "Quantity value empty or row grid order is First"
#DEFINE NOSAVEORD_LOC "No save, Item invoice = 0"
#DEFINE DELLASTROW_LOC "Last quantity value = 0, last row grid deleted"  
#DEFINE DUPPRODID_LOC "More then Product Id has some code, re-enter"
#DEFINE DUPPRODNAME_LOC "Product Name already Exist re-enter."
#DEFINE MODBLUEDATA_LOC "Modify the Blue Data."
#DEFINE ACCTSNOTFOUND_LOC "Not found Account Id-Secondary, re-enter"
#DEFINE ACCTPNOTFOUND_LOC "Not found Account Id-Primaire, re-enter"
#DEFINE NOTAVALDATA_LOC  "Input Data not avalaible, re-enter"
#DEFINE ACCTINVALID_LOC  "Invalid Account Id, re-enter"
#DEFINE CASNOTFOUND_LOC "Not found Case Id, re-enter"
#DEFINE SYSLASTEXCH_LOC  "System Use Last Exchange"
#DEFINE REFNOTFOUND_LOC "Not found Reference, re-enter" 
#DEFINE SAVECHANGES_LOC   "Do you want to save your changes first?"
#DEFINE ASKDELETE_LOC    "Are you sure you wish to delete this information?"
#DEFINE DELETEREC_LOC     "Are you sure you want to delete this record?"
#DEFINE CANNOTQUIT_LOC "Cannot quit Visual FoxPro within Accounting - Stock"
#DEFINE INVOPER_LOC  "Invalid operation"
#DEFINE INPDATFOUND_LOC "Not found Input Data, re-enter" 
#DEFINE ACCTNOTCOMP_LOC "Account Id not Compatible with Flag Type - re-enter Flag"
#DEFINE PARENTNOTFOUND_LOC "not Found the Parent Account, re-enter"
#DEFINE DUPLICATE_LOC "not Available Duplicate Accounts, re-enter"
#DEFINE VERFNOTCOMP_LOC "Verification not Compatible"
#DEFINE MINVNOTFOUND_LOC "not Found Invoice to Modify, re-enter"
#DEFINE NOMODIF_LOC "no Modification after 7 days to Invoice Date"
#DEFINE MVOUCNOTFOUND_LOC "not Found Voucher to Modify, re-enter"
#DEFINE NOVMODIF_LOC "no Modification after 7 days to Voucher Date"
#DEFINE PRODLHID_LOC "Product Id List is Hide"
#DEFINE ACCTLHID_LOC "Account Id List is Hide"
#DEFINE EXCHNOTFOUND_LOC "no Operation-(Exchange)for this Date" 
#DEFINE MODEXCH_LOC  "Modify today Exchange Only"
#DEFINE NOMODEXCH_LOC  "no Modofication for this Date"
#DEFINE PRODIDNOTFOUND_LOC "Product Id not Found, no Modification"
#DEFINE NOMOD_LOC "no Modification, this Account Id Type not Compatible"
#DEFINE MACCTNOTFOUND_LOC "Account Id not Found or Active, no Modification" 
#DEFINE UCOSTEMPTY_LOC "Unit Cost is Empty, re-enter"
#DEFINE TABLEMPTY_LOC "Alias Table is Empty"
#DEFINE ORDNOTFOUND_LOC "General Journal Order not Found or Order Type no Compatible"
#DEFINE DUPUSER_LOC "Duplicate user, re-enter data"
#DEFINE NOUSER_LOC "There are no users on file."
#DEFINE NOCHGUSER_LOC "No Change, User Name is Empty"
#DEFINE BADPASSWORD_LOC    "Password is invalid. (See Hint textbox)"
#DEFINE BADPASSWORDA_LOC    "Password is invalid." 
#DEFINE PASSWORDEMPTY_LOC   "New password cannot be empty."
#DEFINE PSWDNOTCNFRM_LOC    "Cannot confirm new password. try again."
#DEFINE NOPSWDENTERED_LOC "You have not yet entered the old password." 
#DEFINE FILESAVEDAS_LOC    "File saved as "

*-- Other strings
#DEFINE SELECTBUTTON_LOC    "Select"
#DEFINE VERSION_LOC    "1.1"
#DEFINE COPYRIGHT_LOC   "Copyright 2002, Chucri S. Zouein"
#DEFINE RIGHTSRSRVD_LOC  "All rights reserved"
#DEFINE REINDEXING_LOC      "Reindexing: "
#DEFINE DONE_LOC            "Done"
#DEFINE LOWERNOTFOUND_LOC	" not found."
#DEFINE ABOUT_LOC			"About "
#DEFINE VERSIONLABEL_LOC    "Version "
#DEFINE LOWERFOR_LOC        " for "
#DEFINE UPDATEORDER_LOC		"Updating Order"
#DEFINE NOTHINGTOPRINT_LOC   "Nothing to print."
#DEFINE DFILNOTFOUND_LOC "Database file not found."
#DEFINE REPORTNOTFOUND_LOC   "Report file not found."
#DEFINE ADDITEM_LOC     "Add Item"
#DEFINE REMOVEITEM_LOC      "Remove Item"
#DEFINE FBOLD_LOC     "Font Bold True"
#DEFINE FNBOLD_LOC      "Font Bold False"
#DEFINE INFSAVED_LOC        "Information saved."
#DEFINE PRINTERNOTREADY_LOC  "Printer not ready."
#DEFINE CLASSBROWERR_LOC "This class cannot be used outside of the CHK_RBT"
#DEFINE FILENOTEXIST_LOC   "File does not exist: "
#DEFINE BADNAME_LOC       "Name not found."
#DEFINE BADUPDATE_LOC     "Could not update - reverting to original."
#DEFINE TAGNOTFOUND_LOC  "Index tag not found."
#DEFINE NORECSMATCHED_LOC    "No records matched criteria."
#DEFINE DELETEWARN_LOC    "Delete Warning"
#DEFINE NOTYET_LOC          "Under Construction"
#DEFINE TODAYORLATER_LOC    "Date must be today or later."
#DEFINE DATERANGEERROR_LOC  "'To' date cannot be less than 'From' date."
#DEFINE SAVEANYWAY_LOC      "Save anyway?"
#DEFINE VALIDATING_LOC      "Validating ..."
#DEFINE PRINTING_LOC        "Printing ..."
#DEFINE VIEWCODEPRINT_LOC   "This report may be lengthy. Want to continue?"
#DEFINE VIEWCSDTYPRINT_LOC  "This report may be lengthy. Want to continue?"
#DEFINE METHOD_LOC          "Method: "
#DEFINE LINENUM_LOC     "Line: "
#DEFINE ADDNEWREC_LOC "That was the last record.Do you want to add a new?"
#DEFINE ENTERADDMODE_LOC  "There are no records on file.Placed 'Add' mode."
#DEFINE TABLERULEFAIL_LOC   "Table rule failed!"
#DEFINE ITEMNOTSAVED_LOC   "The marked items have not been added to the
order. Discard the marked items?"


*-- Trigger error messages
#DEFINE INSERTTRIGFAIL_LOC  "Insert trigger failed!"
#DEFINE UPDATETRIGFAIL_LOC  "Update trigger failed!"
#DEFINE DELETETRIGFAIL_LOC  "Delete trigger failed!"

